/*
 * nnv_forlib.c
 *                 novasub rouitines for FORTRAN on SUN SPARC station
 *
 *                           Yasuo TAKEUCHI (Tokyo Inst. of Tech.) 
 *
 *              version 1.05  24-NOV-1992 Yasuo TAKEUCHI     (T.I.T.)
 */
#include "novad.h"


nnvopn_(host, port, name, priority, request)
char *host, *name;
int *port, *priority, *request;
{
    struct NOVAD *nd;
    nd = net_nova_open(host, *port, name, *priority, *request);
    return ((int)nd);
}


nnvcls_(nd)
struct NOVAD **nd;
{
    return net_nova_close(*nd);
}


nnvred_(nd, address, length)
struct NOVAD **nd;
char **address;
int *length;
{
    return net_nova_read(*nd, address, length);
}


nnvwrt_(nd, address, size, significance)
struct NOVAD **nd;
char **address;
int *size, *significance;
{
    return net_nova_write(*nd, *address, *size, *significance);
}
