#define NAFGEN(n,a,f) ((((n<<4) + a) << 5) + f)
#define NAF(n,a,f)    ((((n<<4) + a) << 5) + f)

/*** kek error-codes ***/

#define CC_STA_OK               0
#define CC_STA_SINGLE_TIMEOUT   -1
#define CC_STA_BLOCK_INVFUNC    -2
#define CC_STA_LIST_STOP        -10
#define CC_STA_LIST_TIMEOUT     -11
#define CC_STA_LIST_EMPTY       -12
#define CC_STA_LIST_ZERODIV     -13
#define CC_STA_LIST_OVERSTEP    -14
#define CC_STA_KLIST_SAMENAME   -21
#define CC_STA_KLIST_MEMORYFULL -22
#define CC_STA_KLIST_NONAME     -23


/*** This structure is used in CKEXEC. It is used to be fully 
     compatible with the original KEK code  ***/
struct cc_iosb
{
  int status;
  int ret_length;
  int s_reg;
  int devinfo;
};
