/*************************************************
 * CVS Log
 * mur_func.h,v
 * Revision 1.1.1.1  1993/07/14  19:43:19  dbrenner
 * UNIDAQ 2.1 distribution - July 14,1993
 *
*************************************************/
#ifndef MUR_FUNC_HEADER
#define MUR_FUNC_HEADER

/*
** MUR_C_USER.C PROTOTYPES ARE IN MUR_USER.H
*/

/*
** MUR_C_UTIL.C 
*/
void mur_internal_err MUR_PROTO((MUR_CLIENT_ERR, MUR_MSG_STATUS, MUR_BOOL));
void mur_get_srvr_add MUR_PROTO((MUR_SADD_PTR));
void mur_timezone MUR_PROTO((MUR_TZ_PTR));
MUR_CLIENT_ERR mur_get_ctx MUR_PROTO((MUR_CLIENT_CTX **, MUR_MSG_STATUS));
MUR_CLIENT_ERR mur_com_init MUR_PROTO((MUR_CLIENT_CTX *, char *, int));
MUR_CLIENT_ERR mur_com_send MUR_PROTO((MUR_CLIENT_CTX *, char *, long int));
void mur_com_cleanup MUR_PROTO((MUR_CLIENT_CTX *));
MUR_CLIENT_ERR mur_client_init MUR_PROTO((MUR_CLIENT_CTX *, unsigned long));

/*
** MURDER.C 
*/
long int murder_stdset();
MUR_MSG_STATUS murder_server_diag();

/*
** MUR_UTIL.C
*/
MUR_CLIENT_ERR mur_rec_hdr_pack MUR_PROTO((XDR *, MUR_PID_PTR, MUR_NODE_PTR,
                                MUR_VERSION_PTR, MUR_TZ_PTR, long *));
MUR_CLIENT_ERR mur_rec_pack MUR_PROTO((XDR *, MUR_MSG_STATUS *, MUR_CTIME_PTR,
                            MUR_CDATE_PTR));
void mur_time_date MUR_PROTO((MUR_CTIME_PTR, MUR_CDATE_PTR));
void mur_print_msg MUR_PROTO((char *));

#endif
