/* ////////////////////////////////////////////////////////////////////
//
// file:    Skeleton.C (modified from C. Erbas version)
// author:  C. Timmermans
// version: 1.0
// date:    9/18/92
////////////////////////////////////////////////////////////////////*/
  
/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include <stdio.h>
#include <string.h>
#include<stdlib.h>
#include "template.h"
#include "skeleton.h"
  
extern int  Process_Event();
extern void No_Event();
extern void Exit_Process();
extern void Init_Process();

extern int msqid;
extern char ownpname[];

main(argc,argv)
int argc;
char **argv;
{
/*//////////////////////////////////////////////////////////////////////
// Creating a possibility of starting a process under a different name
//////////////////////////////////////////////////////////////////////*/
   if(Template_Init(get_name_from_args(argc,argv)) < 0) {
	Delete_MsgQ(msqid);
        exit(2);
   }
   Init_Process(argc,argv);
   Template_Main(NULL,Process_Event,No_Event);
   Exit_Process();
}

