/*************************************************
 * Reset.c,v
/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include<stdio.h> 
#include<netdb.h>
#include<string.h>
#include<strings.h>
#include <errno.h>
#include "generic.h"

struct var_dict_type var_dict_usr[1];
int var_number_usr = 0;
struct cmd_dict_type cmd_dict_usr[1];
int cmd_number_usr = 0;

char cmd[500];

main()
{
  char *nn,ch;
  char fnam[200],snd_node[100],junk[100];

  int sd;
  FILE *fp,*fd;
  char unidaq[100];
  struct servent *ser;

  printf("Are you sure you want to kill ALL unidaq processes?\n");
  printf("Type YES to continue >> ");
  gets(snd_node);
  if(strcasecmp(snd_node,"YES") != 0) exit(1);
  if(decode_filename("$(USERUNIDAQ)/conf/nodefile",fnam) < 0) {
    printf("Cannot decode USERUNIDAQ (/conf/nodefile)\n");
    exit(1);
  }
  if((fp = fopen(fnam,"r")) == NULL) {
    printf("Cannot open %s\n",fnam);
    exit(1);
  }
  ser = getservbyname("exec","tcp");

  while(fscanf(fp,"%s",snd_node) > 0) {
    fscanf(fp,"%s",junk);
    if(strcasecmp(junk,"UNIX") == 0){
      nn = snd_node; 
      get_unidaq(snd_node,unidaq);
      sprintf(cmd,"source %s/setup.csh;Reset_local yes >& /dev/null",
	    unidaq);

      if((sd = rexec(&nn,ser->s_port,NULL,NULL,cmd,0)) < 0) {
	printf("An error occured\n");
	exit(-1);
      } 
      fd=fdopen(sd,"r");
      while (getc(fd) != EOF) ;
      fclose(fd);
    }
    else{
/* Resetting the VXWORKS CPU */
      printf("Do you really want to REBOOT %s >>",snd_node);
      gets(junk);
      if(strncasecmp(junk,"yes",strlen(junk)) == 0) {
	sprintf(junk,"server@%s",snd_node);
	rpc_Send_Message(junk,"reboot");
      }
    }
  }
  fclose(fp);
  printf("Reset all nodes\n");
}

/****************************************************/
murmur_default(m)
char *m;
{
  FILE *fp;
  char fnam[200],wrd[100],tmp[100];
  int i_go;

  *m = '\0';
  if(decode_filename("$(TOPUNIDAQ)/murmur_client/error/inc/murmur_env_alias",
		     fnam) < 0) {
    printf("Cannot decode TOPUNIDAQ (...murmur_env_alias file)\n");
    exit(1);
  }
  if((fp = fopen(fnam,"r")) == NULL) {
    printf("Cannot open %s\n",fnam);
    exit(1);
  }
  i_go = 1;
  while(i_go == 1) {
    if(fscanf(fp,"%s",wrd) <= 0) i_go = 0;
    else {
      if(strcmp(wrd,"MURMUR_SERVER_ADD") == 0) {
        if(fscanf(fp,"%s",wrd) > 0) 
	  strcpy(m,wrd);
	i_go = 0;
      }
    }
  }
  fclose(fp);
  printf("Please give the IP address [ <CR> = %s ]\n",m);
  wrd[0] = '\0';
  tmp[0] = '\0';
  gets(tmp);
  sscanf(tmp,"%s",wrd);
  if(wrd[0] != '\0') strcpy(m,wrd);
}
/*************************************************/
get_unidaq(host,uni)
char *host,*uni;
{
  char tmp[100],wrd[100];

  strcpy(uni,getenv("USERUNIDAQ"));
  printf("Please give $USERUNIDAQ at node %s\n",host);
  printf("[ <CR> = %s ]",uni);
  tmp[0] = '\0';
  wrd[0] = '\0';
  gets(tmp);
  sscanf(tmp,"%s",wrd);
  if(wrd[0] != '\0') strcpy(uni,wrd);
}
/****************************************************/



