/*************************************************
 * startup.c,v
*************************************************/
/*---------------------------------------------------------------*/
/*                                                               */
/*      Cengiz ERBAS                                             */
/*      Superconducting Super Collider Laboratory                */
/*      June 20, 1992                                            */
/*                                                               */
/*---------------------------------------------------------------*/

/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include <stdio.h>
#include <sys/types.h>
#include <errno.h>
#include "template.h"

/*(a+out) ------------------------------------------------- */
main(argc, argv)
int argc;
char * argv[];
/*(b+out) ------------------------------------------------- 
Procedure Name
Main - main start-up procedure  
Synopsis
Description
main(argc, argv) is the main start-up procedure. It
calls the template with the addresses of the Any_Event() and
Process_Event() procedures.

Superconducting Super Collider Laboratory 1.0
(c+out) --------------------------------------------------- */

{
   if (Create_Table() == ERROR)
      printf("Error in Create_Table()\n");

   printf("Common Table initialized...\n");
}

