>NAME ANADEF
>Menu ANALYZER
>guidance 
Unidaq  commands for Analysis  control
>command LINK
>guidance
The link command compiles,links and loads a Fortran or C
file into the Analyzer.  After this command you should
execute the ADD command to define the entry point(s) to
be called for each event.  Call interface is 

	subroutine my_analysis(idata, itype)

>Action  ana_command

>command ADD
>guidance
Specify the same filename as in a previous LINK command
and then specify the subroutines in that file which you want
to call.
>Action  ana_command

>command DISPLAY
>guidance
DISPLAY <macro_name><time_intervaal:  This command is used to invoke a
kumac macro <macro_name> periodically.  Generally, the macro is used
to display the histograms filled on the screen.  The <time_interval> is
not given, then the default time interval of 10 seconds is used.  Whenever a new DISPLAY command is issued the previous DISPLAY command
is cancelled.  If the users wants to cancel the previous DISPLAY 
command, and does not want to issue a new macro, he/she can use the 
DISPLAY OFF command.
>Action  ana_command

>command UNLINK
>guidance
UNLINK <file_name>:  This command is usedto unlink a file <file_name>
which has already been linked to the analyzer.  Further, if the user
wants to unlink all the linked files, he/she can use the UNLINK ALL
command.
>Action  ana_command

>command DELETE
>guidance
DELETE <file_name><proc_name 1>...<proc_name n>:  The DELETE command
allows the user to delete a procedure that has been added using the ADD
command.  The delete command has hree basic formats.  The first format
is used to delete one of several procedures from the same file.  To do
this the uset gives the file <file_name> and the procedures 
<proc_name 1> ... <proc_name n>.  The second format 
DELETE <file_name> ALL can be used to delete all the procedures beloging
to a file.  The third format DELETE ALL deletes all the procedures that
have ben added so far to the system. 
>Action  ana_command

>command LIST
>guidance
LIST:  List all files linked to the analyzer image and their ADDed 
procedure names
>Action  ana_command

>command BEGIN
>guidance
BEGIN <runnr>:  This command may be used to start or override a normal
run.  Every run should be started by a BEGIN command.  Here, <runnr> is
used as the identificaation number of the run.  Whenever the analyzer
receives a BEGIN command or a BeginRun_Record, it executes the PAW
command "exec anbegin.kumac <runnr>".  The value of <runnr> is stored
in the user-level variable of that same name.  If analyzer receives
a BeginRun_Record from NOVA, the run number in that record is stored
in <runnr> and a BEGIN command is executed.
>Action  ana_command

>command END
>guidance
END:  This command may be used to terminate a run.  Whenever the 
analyzer receives an END command or an EndRun_Record, it executes the
PAW command "exec anend.kumac".  The run number is reset after each END
command.
>Action  ana_command

>command PAUSE
>Action  ana_command

>command RESUME
>Action  ana_command

>command TELL 
>Action  ana_command

>command ASK 
>Action  ana_command
