>name UNIDEF

>Menu TOOLS
>guidance
Unidaq commands for offline analysis

*>command LINK
*>parameters
*FILEN 'Filename' C
*>guidance
*The link command compiles,links and loads a Fortran or C
*file into the Analyzer.  After this command you should
*execute the ADD command to define the entry point(s) to
*be called for each event.  Call interface is 
*
*	subroutine my_analysis(idata, itype)
*
*>Action	  ULINK
*
*>command ADD
*>guidance
*Specify the same filename as in a previous LINK command
*and then specify the subroutines in that file which you want
*to call.
*
*>action	  uADD
*
*>command UNLINK
*>parameters
*FILEN 'Filename' C
*>guidance
*UNLINK <file_name>:  This command is usedto unlink a file <file_name>
*which has already been linked to the analyzer.  Further, if the user
*wants to unlink all the linked files, he/she can use the UNLINK ALL
*command.
*>action   uunlink
*
*>command delete
*>guidance
*DELETE <file_name><proc_name 1>...<proc_name n>:  The DELETE command
*allows the user to delete a procedure that has been added using the ADD
*command.  The delete command has hree basic formats.  The first format
*is used to delete one of several procedures from the same file.  To do
*this the uset gives the file <file_name> and the procedures 
*<proc_name 1> ... <proc_name n>.  The second format 
*DELETE <file_name> ALL can be used to delete all the procedures beloging
*to a file.  The third format DELETE ALL deletes all the procedures that
*have ben added so far to the system. 
*>Action  ana_command
*
*>action	  udelete

>command analyze

>guidance 
ANALYZE <filename> 
begins or  continues  analysis of  a  run file
synonomus with  PROCESS

>action	  uanalyze

>command process

>guidance
 PROCESS <filename> 
begins or  continues  analysis of  a  run file
Synonomus with ANALYZE

>action	  uanalyze

>command uclose
>guidance
UCLOSE closes the current input run file
>action   uclose

>command display
>guidance
DISPLAY <macro_name> <time_intervaal>:  This command is used to invoke a
kumac macro <macro_name> periodically.  Generally, the macro is used
to display the histograms filled on the screen.  If the <time_interval> is
not given, then the default time interval of 10 seconds is used.  Whenever 
a new DISPLAY command is issued the previous DISPLAY command
is cancelled.  If the users wants to cancel the previous DISPLAY 
command, and does not want to issue a new macro, he/she can use the 
DISPLAY OFF command.
>action   udisplay

*>command list
*>action   ulist

