/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include <sys/time.h>
#include <signal.h>

struct timeval tp;
struct timezone tzp;
void dumb_signal_handler();
void dummy();
int flag;
int level;

main()
{ char *cmd;
  int buf[300];
  int i,nmax,length=500;
  int initial_sec;
  int event_length;
  int n_events;
  int j;


signal(SIGUSR1,dumb_signal_handler);
signal(SIGALRM,dummy);

camac_begin();
while(1) {
printf(" RESUME [#of events or 0 to exit] [Dumplevel]");
scanf(" %d %d", &nmax,&level);


if(nmax<=0) {
	camac_end();
	exit();
	    }


camac_resume();
   gettimeofday(&tp, &tzp);
   initial_sec = tp.tv_sec;

i=0;

 while(i<nmax){
	while( camac_event(length,&event_length,buf+6)==1);

	if(level>0) {
	  printf(" Event length= %d \n",event_length);
	  for (j=0;j<20;j++) printf(" %d %x \n",j,buf[j]);
	}

	i++;
 };

   camac_pause();
   gettimeofday(&tp, &tzp);
   printf("# seconds = %d\n", tp.tv_sec - initial_sec);
   printf("# events = %d\n", i);
   printf("rate = %f\n",  (float)(i)/(float)(tp.tv_sec - initial_sec));
   
   
};

 }

void dumb_signal_handler()
{flag=1;
 if(level>2) printf(" in signal handler\n");
 return;
}
idle(timeout)
int timeout;
 
{
   ualarm(timeout,0);
   pause();
}
void dummy()
{return;}
