/* File name     : cc_config.h
 * Creation date : July 1992
 * Author        : Y.Yasu, Online group, Physics department, KEK
 */

#define VME_ACCBASE   0xF000
#define CC_CAMAC_ADDR 0xFF00

/* Timeout Time */
#define CC_K_TIMEOUT_LAM        60 /* LAM : 60 sec. */
#define CC_K_TIMEOUT_DONE       5  /* DMA DONE : 5 sec.  */
#define CC_K_TIMEOUT_COUNT      1000 /* single action timeout : loop count */

/* For List Processing */
#define CC_LIST_MAX_STEP        100000000
#define CC_LIST_MAX_LENGTH      20000
#define CC_LIST_MAX_DATA        256     /* max len of data  64kw */

/* debug options */
/*
#define DEBUG
#define CC_DEBUG_LEVEL 10
#define DEBUG_LIST
*/
