/************************************************************
 * forlib.c     29-OCT-1991            Y.Takeuchi (TIT)     *
 *                                                          *
 * for SUN-SPARC SF-VME K2917 K3922                         *
 *                                                          *
 * 30-NOV-1992 Y.Takeuchi    delete signal subroutines      *
 ************************************************************/
#include <stdio.h>
#include <sys/types.h>
#include "camlib.h"
#include "cc_common.h"

#ifdef DEBUG
set_debug_(level)
int *level;
{
    return set_debug(*level);
}
#endif

camopn_() { CAMOPN(); }
copen_()  { CAMOPN(); }
camcls_() { CAMCLS(); }
cclose_() { CAMCLS(); }
cgenz_()  { CGENZ(); }
cgenc_()  { CGENC(); }
cseti_()  { CSETI(); }
cremi_()  { CREMI(); }
cdlam_()  { CDLAM(); }

csetcr_(crate)
int *crate;
{
    return CSETCR(*crate);
}

csetbr_(branch)
int *branch;
{
    return CSETBR(*branch);
}

naf_(n, a, f)
int *n, *a, *f;
{
    return ((*n << 9) + (*a << 5) + *f);
}

celam_(mask)
int *mask;
{
    CELAM(*mask);
}

cwlam_(timeout)
int *timeout;
{
    return CWLAM(*timeout);
}


/****** single action ******/

camac_(naf, dat, q, x)
int *naf, *dat, *q, *x;
{
    CAMAC(*naf, dat, q, x);
}

camacl_(naf, dat, q, x)
int *naf, *dat, *q, *x;
{
    CAMAC(*naf, dat, q, x);
}

camacw_(naf, dat, q, x)
int *naf, *q, *x;
short *dat;
{
    CAMACW(*naf, dat, q, x);
}


/****** block action ******/

cambloworwait_(mode, naf, buf, len, retlen, err)
int *mode, *naf, *len, *retlen, *err;
u_short * buf;
{
    CDMAW(*mode, *naf, buf, *len, retlen, err);
}

cbwwai_(mode, naf, buf, len, retlen, err)
int *mode, *naf, *len, *retlen, *err;
u_short * buf;
{
    CDMAW(*mode, *naf, buf, *len, retlen, err);
}

cdmaw_(mode, naf, buf, len, retlen, err)
int *mode, *naf, *len, *retlen, *err;
u_short * buf;
{
    CDMAW(*mode, *naf, buf, *len, retlen, err);
}

camblolonwait_(mode, naf, buf, len, retlen, err)
int *mode, *naf, *buf, *len, *retlen, *err;
{
    CDMAL(*mode, *naf, buf, *len, retlen, err);
}

cblwai_(mode, naf, buf, len, retlen, err)
int *mode, *naf, *buf, *len, *retlen, *err;
{
    CDMAL(*mode, *naf, buf, *len, retlen, err);
}

cdmal_(mode, naf, buf, len, retlen, err)
int *mode, *naf, *buf, *len, *retlen, *err;
{
    CDMAL(*mode, *naf, buf, *len, retlen, err);
}


/****** list processing ******/

camlisload_(list, lenlis, err)
u_short *list;
int *lenlis;
int *err;
{
    return CLLOAD(list, *lenlis, err);
}

clload_(list, lenlis, err)
u_short *list;
int *lenlis;
int *err;
{
    return CLLOAD(list, *lenlis, err);
}

camexewait_(buf, lenbuf, iosb)
u_short *buf;
int *lenbuf;
struct cc_iosb *iosb;
{
    return CEWAI(buf, *lenbuf, iosb);
}

cewai_(buf, lenbuf, iosb)
u_short *buf;
int *lenbuf;
struct cc_iosb *iosb;
{
    return CEWAI(buf, *lenbuf, iosb);
}

clewai_(list, lenlis, buf, lenbuf, iosb)
u_short *list, *buf;
int *lenlis, *lenbuf;
struct cc_iosb *iosb;
{
    return CLEWAI(list, *lenlis, buf, *lenbuf, iosb);
}

camrealist_(fname, list, lenlis, retlen, err)
char *fname;
u_short *list;
int *lenlis, *retlen, *err;
{
    return CRLIST(fname, list, *lenlis, retlen, err);
}

crlist_(fname, list, lenlis, retlen, err)
char *fname;
u_short *list;
int *lenlis, *retlen, *err;
{
    return CRLIST(fname, list, *lenlis, retlen, err);
}
