#include "vxWorks.h"
#include "scsiLib.h"
#include "exabyte.h"
#include "errno.h"
#include "stdio.h"
#include "tickLib.h"
#include "sysLib.h"
#include "intLib.h"

#define N_BYTES  100000
#define N_LOOP   10
#define N_TIMES  40

int sample2(param)
int param;
{
    SCSI_PHYS_DEV *device = NULL;

    int  i,j,k; 
    ULONG before,after;
    float rte;
    char b[N_BYTES];
    int lck;

/*    exbInit();  */
    device = exbOpen(5);
    exbLoadTape(device);

printf("making buffer...\n");
    sprintf(b, "Hello");
printf("writing to tape...\n");
/** CT I think this is wrong, the 10 should be a pointer
    exbWrite(device, b, 10);  **/
    i = N_BYTES;
    for(k=0;k<N_TIMES;k++){
      before = tickGet();
      for(j=0;j<N_LOOP;j++)
        exbWrite(device, b, &i);
      after = tickGet();
      rte = N_LOOP*N_BYTES*sysClkRateGet();
      rte = rte/(after-before);
      printf("done... %d words in %d ticks = %f bytes/sec \n",
	     N_BYTES,after-before, rte);
    }

    exbClose(device);

    return (param + 3);
}

