      PROGRAM FORTTEST

*************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
*************************************************************************

      include '../include/camlib.inc'
      integer status, i, q, x, ii, z
      integer slot,function,address

      status = COPEN( )
      if( status.ne.0 ) call errorexit(status)
      print *,'COPEN : OK'
      status = CSETBR(0)
      if( status.ne.0 ) call errorexit(status)
      print *,'CSETBR : OK'
      status = CSETCR(0)
      if( status.ne.0 ) call errorexit(status)
      print *,'CSETCR : OK'
      status = CGENZ()
      if( status.ne.0 ) call errorexit(status)
      print *,'CGENZ : OK'
      status = CGENC()
      if( status.ne.0 ) call errorexit(status)
      print *,'CGENC : OK'
      status = CSETI()
      if( status.ne.0 ) call errorexit(status)
      print *,'CSETI : OK'
      status = CREMI()
      if( status.ne.0 ) call errorexit(status)
      print *,'CREMI : OK'
      slot = 3
      do while (slot.gt.0) 
        print *,'slot ....'
        read(5,*) slot
        if(slot.gt.0) then
          print *,'function..... '
          read(5,*) function
          print *,'address.... '
          read(5,*) address
          print *,'data....'
          read(5,*) i
	  status = CAMACL(NAF(slot,address,function), i, q, x ) 
          if(status.eq.0) then
             print *,'DATA READ .... ',i
          else
             print *,'Error in CAMAC routine'
          endif
        endif
      enddo
      status = CCLOSE()
      stop
      end

      subroutine errorexit(status)
      integer status
      print *,'An error occured ',status
      stop
      end









