/************************************************************************
*                                                                       *
* Copyright (c) 1993                                                    *
* The Regents of The University of Michigan                             *
* Universities Research Association, Inc.                               *
* All Rights Reserved                                                   *
*                                                                       *
*                Authors:                                               *
*                        R. Ball, C. Timmermans, UofM                   *
*                        Y. Takeuchi, T.I.T.                            *
*                        M. Nomachi, KEK                                *
*                        A. Fry, C. Erbas, D. Brenner, SSCL             *
*                                                                       *
************************************************************************/

#include <stdio.h>
#include<stdlib.h>
#include "template.h"
#include "skeleton.h"


extern char *get_name_from_args();
extern int Process_Event();
extern int No_Event();

extern int msqid;
extern char ownpname[];

main(argc,argv)
int argc;
char **argv;
{
  int rtrn;
  
  if((rtrn = Template_Init(get_name_from_args(argc,argv))) < 0) {
    printf("Failed to initialize. Code %d\n",rtrn);
    Delete_MsgQ(msqid);
    exit(2);
  }
  Init_Process(argc,argv);
  Template_Main(NULL,Process_Event,No_Event);
  Exit_Process();
}

