/*---------------------------------------------------------------*/
/*                                                               */
/*      Cengiz ERBAS                                             */
/*      Superconducting Super Collider Laboratory                */
/*      July 20, 1992                                            */
/*                                                               */
/*---------------------------------------------------------------*/


#include "generic.h"

/*---------------------------------------------------------------*/
/*        Definitions for the User Variable Dictionary           */
/*---------------------------------------------------------------*/
char eventsink[30],event_sink[30] = "";
char dest_dir[80],destdir[80] ="";
int runstate = END_STATE;
char devname[80] = "/dev/rst";

struct var_dict_type var_dict_usr[20] = {
   "eventsink", STRING, (int) event_sink, 
   "runstate", INTEGER, (int) &runstate,
   "dest_dir", STRING, (int) destdir,
   "device",STRING,(int) devname
};

int var_number_usr = 4;


/*---------------------------------------------------------------*/
/*        Definitions for the User Command Dictionary            */
/*---------------------------------------------------------------*/
int Begin();
int End();
int ExitR();
int scsi_load();
int scsi_unload();
int scsi_rewind();
int scsi_end();
 
struct cmd_dict_type cmd_dict_usr[20] = {
   "BEGIN", (int (*)()) Begin,
   "END", (int (*)()) End,
   "EXIT",(int (*)()) ExitR,
   "LOAD",(int (*)()) scsi_load,
   "UNLOAD",(int (*)()) scsi_unload,
   "REWIND",(int (*)()) scsi_rewind,
   "NEW_DRIVE",(int (*)()) scsi_load,
   "END_TAPE",(int (*)()) scsi_end,
};
 
int cmd_number_usr = 8;
 
  
